Gyoto::Hook Namespace Reference

Listeners attach to Tellers. More...

## Classes

class | Listener
| I might listen to a Teller. More...
class | Teller
| Listen to me and I'll warn you when I change. More...

## Detailed Description

Listeners attach to Tellers.

A Listener can hook() to a Teller. The Teller will tell it when it mutates using Listener::tell(), usually through the highter lever Teller::tellListeners(). The Listener can later unhook(). The Listener must therefore implement Listener::tell() to react when it is told.